Bug 705517 - Add package rubygem-oauth-active-resource to RHEL
Add package rubygem-oauth-active-resource to RHEL
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
All Linux
high Severity high
: ---
: ---
Assigned To: Bryan Kearney
SAM QE List
: Triaged
Depends On: 738162
Blocks: katello-blockers
  Show dependency treegraph
 
Reported: 2011-05-17 15:54 EDT by Mike Khusid
Modified: 2013-04-02 19:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 15:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Khusid 2011-05-17 15:54:26 EDT
rubygem-oauth-active-resource is required to implement Subscription Asset Manager (SAM) functionality.
Comment 2 Bryan Kearney 2011-10-14 11:20:18 EDT
Added as part of the katello packaging effort
Comment 3 Vít Ondruch 2011-10-25 10:46:53 EDT
Hi guys,

I am wondering how are you using this gem with Rails 3, if it is designed for Rails 2, there are apparently some issue [1] with Rails 3 and upstream is not very responsive it seems.

[1] See https://github.com/jwagener/oauth-active-resource/pull/1
Comment 4 Vít Ondruch 2012-01-26 12:41:28 EST
Bryan,

Could you please enlighten me how are going to use this semi-functional, non-maintained package? I don't think this is a good idea.
Comment 5 Mike McCune 2012-01-26 14:08:41 EST
mass ON_QA move
Comment 7 Og Maciel 2012-02-15 11:50:05 EST
<OgMaciel> jlaska, got a question on 705517 and 705519. If I install katello-all and get those packages, then I can close those issues, right?
* jlaska looks
<jlaska> OgMaciel: yeah, if the packages were included using a brew repo, or an official puddle, those can move to VERIFIED
Comment 8 James Laska 2012-02-15 14:45:05 EST
The latest candidate Beta puddle for System Engine includes rubygem-oauth (http://download.lab.bos.redhat.com/test/CloudForms/1.0-beta/latest/el6-se/x86_64/rubygem-oauth-0.4.4-1.el6.noarch.rpm), but I see no mention of rubygem-oauth-active-resource
Comment 9 Og Maciel 2012-02-15 14:57:58 EST
Just wanted to clarify this. The summary of this issue states that this package should go into RHEL but right now they are included with SE. What is the expected solution?
Comment 10 Og Maciel 2012-02-15 15:13:22 EST
Pending what James asked, can I assume this is for SE only for now (as BZ 705519)?
Comment 11 Og Maciel 2012-02-17 13:36:10 EST
Mike, ping?
Comment 12 Mike Khusid 2012-03-09 13:07:28 EST
For bugs that are listed under CloudForms today, please ignore "to RHEL" part of the title. That wording was written nearly a year ago when we didn't have CloudForms product in bugzilla, nor a plan for SE/SAM packaging.
Comment 13 Og Maciel 2012-03-09 14:05:30 EST
Mike, thank you for clarifying that. Now, your issue mentions rubygem-oauth-active-resource but there is a rubygem-oauth-0.4.4-1.el6.noarch instead. Is this what I should be looking for instead? Is it safe to close this issue?
Comment 14 Jeff Weiss 2012-03-14 13:02:31 EDT
This package is not even used by System Engine, moving to SAM product.

Note You need to log in before you can comment on or make changes to this bug.